function [self] = read_csv_file(self)
% $Id$

% check file validity
% -------------------
self.fid = fopen( self.file, 'r' );
if self.fid == -1
  error('dynaload:dynaload', ...
    ['The specified data file ''%s'' does not exist\n' ...
    'or is not in the directory which is on the MATLAB path'],...
    self.file);
end

% read the end-of-file
% --------------------
while (1)

  % read one line
  % -------------
  inputText = textscan(self.fid, '%s', 1, 'delimiter', '\n');

  if feof(self.fid)
    break;
  end

  % try to match DIMENSIONS, VARIABLES or ATTRIBUTES paragraph
  % use '$' separator at begining and end line
  % ----------------------------------------------------------
  match = regexp( inputText{1}{1}, '^\${1}(\w*)\${1}', 'tokens');

  % increment line counter
  % ----------------------
  self.line = self.line + 1;

  % if no, read next line
  % ---------------------
  if isempty(match)
    continue
  end

  % OK, find paragraph key delimeter
  % --------------------------------
  key    = match{1}{1};

  % create a temporary hashtable use to store data read in file
  % -----------------------------------------------------------
  hash = hashtable;

  % read the data inside the file and populate hash
  % -----------------------------------------------
  [hash, nb_members, blk_size, nb_line] = ...
    read_block(self, hash );

  % populate dynaload objet (self) with hash name (key) and hash
  % ------------------------------------------------------------
  self = put(self, key, hash);

  %         % same with size and structure definition (3 keys to describe
  %         % a hash)
  %         % -----------------------------------------------------------
  %         self = put(self, [key '_size'], blk_size);
  %         self = put(self, [key '_nb_members'], nb_members);

  % populate private line propertie
  % -------------------------------
  self.line = self.line + blk_size + nb_line;

end  % end while

% close csv file
% --------------
fclose(self.fid);

end % end of read_csv_file function
